Bug 472604 - Installing proxy 5.2 on RHEL 5 through the web UI leaves SSL improperly configured
Installing proxy 5.2 on RHEL 5 through the web UI leaves SSL improperly confi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn508
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Stephen Herr
us=63483
:
Depends On: 472454
Blocks: 474175
  Show dependency treegraph
 
Reported: 2008-11-21 17:42 EST by Xixi
Modified: 2009-01-28 14:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-28 14:53:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from Satellite fix for this problem (11.56 KB, application/octet-stream)
2008-12-03 10:18 EST, Grant Gainey
no flags Details

  None (edit)
Comment 1 Xixi 2008-11-21 17:43:38 EST
Cloned from bug 472454 for RHN Hosted -

Description of problem:
After installing proxy 5.2 on RHEL 5 using the web UI installer, clients can't
connect to the proxy using SSL.  

Version-Release number of selected component (if applicable):
Proxy 5.2

How reproducible:


Steps to Reproduce:
1.  Install 5.2 proxy on RHEL 5 through the web UI from a 5.2 Satellite

Actual results:
Proxy server is using ssl certs in /etc/pki/certs/localhost.crt


Expected results:
Proxy server is using ssl certs in /etc/httpd/conf/*/

Additional info:

With RHEL 5 the /etc/httpd/conf.d/ssl.conf file started pointing to
/etc/pki/certs instead of /etc/httpd/conf/* for it's ssl.  The proxy 5.2 web
installer doesn't bother changing these entries (as it never had to for RHEL
4).  

---------------------------------------------------------
Workaround/manual fix until the official fix is released -

Change /etc/httpd/conf.d/ssl.conf so that these two lines:
SSLCertificateFile /etc/pki/tls/certs/localhost.crt
SSLCertificateKeyFile /etc/pki/tls/private/localhost.key

becomes 

SSLCertificateFile /etc/httpd/conf/ssl.crt/server.crt
SSLCertificateKeyFile /etc/httpd/conf/ssl.key/server.key

Then save and restart rhn-proxy service.
Comment 2 Xixi 2008-11-21 17:44:32 EST
(In reply to comment #1)
> 1.  Install 5.2 proxy on RHEL 5 through the web UI from a 5.2 Satellite
Or from Red Hat Network (Hosted)
Comment 5 Grant Gainey 2008-12-03 10:18:39 EST
Created attachment 325546 [details]
Patch from Satellite fix for this problem

Note You need to log in before you can comment on or make changes to this bug.